API REFERENCEv1

View MMS Template

GEThttps://api2.protexting.com/v1/mms-template/view

Pass your server-side token as access_token. Replace sample values with your own. Authentication & setup →

Endpoint
https://api2.protexting.com/v1/mms-template/view?access_token=your_access_token&id=<mms_template_id>

Request parameters:

ParameterDescription
* idMMS Template ID

Response parameters:

ParameterDescription
IdInteger, MMS Template Id
NameString, MMS Template Name
UrlString
DateCreatedString
Status_IdInteger, see here »
Status_DescriptionString, see here »

Example Request:

Request example
# Set PROTEXTING_ACCESS_TOKEN in your environmentcurl --request GET \  "https://api2.protexting.com/v1/mms-template/view?id=10586&access_token=${PROTEXTING_ACCESS_TOKEN:?Set your API token}" \  --header 'Accept: application/json'
Server-side exampleJSON · HTTPS

Example Response Headers:

Response headers example
Status Code: 200 OK Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0 Connection: Keep-Alive Content-Length: 257 Content-Type: application/json; charset=UTF-8 Keep-Alive: timeout=5, max=99 Pragma: no-cache X-Powered-By: PHP/5.6.2 X-Rate-Limit-Limit: 60 X-Rate-Limit-Remaining: 58 X-Rate-Limit-Reset

Example Response Body:

JSON response example
{
    "Id": 10586,
    "Name": "My Image",
    "Url": "https://mms.protexting.com/uploads/media/46e446d800290d2922b1.jpg",    "DateCreated": "2015-01-20 10:21:29",
    "Status_Id": 3,
    "Status_Description": "Approved"
}
XML response example
<response>    <Id>10586</Id>    <Name>My Image</Name>    <Url>https://mms.protexting.com/uploads/media/46e446d800290d2922b1.jpg</Url>    <DateCreated>2015-01-20 10:21:29</DateCreated>    <Status_Id>3</Status_Id>    <Status_Description>Approved</Status_Description></response>

HTTP Status Codes:

The standard HTTP Status Codes are used. More information is available here: http://www.iana.org/assignments/http-status-codes/http-status-codes.xhtml

Error Codes:

Error Codes and Examples here »

Statuses

Status_IdStatus_DescriptionFinal Status
0Pending for processingNo
1ProcessingNo
2Processed pending approvalNo
3ApprovedYes
4RejectedYes
5Processed FailedYes

Reference from the ProTexting documentation catalog. Code examples are illustrative; this page does not execute API requests.